LMMNormalDriftCalculator Class Reference

Drift computation for normal Libor market models. More...

`#include <ql/models/marketmodels/driftcomputation/lmmnormaldriftcalculator.hpp>`

## Public Member Functions

| LMMNormalDriftCalculator (const Matrix &pseudo, const std::vector< Time > &taus, Size numeraire, Size alive)
void | compute (const LMMCurveState &cs, std::vector< Real > &drifts) const
| Computes the drifts.
void | compute (const std::vector< Rate > &fwds, std::vector< Real > &drifts) const
void | computePlain (const LMMCurveState &cs, std::vector< Real > &drifts) const
void | computePlain (const std::vector< Rate > &fwds, std::vector< Real > &drifts) const
void | computeReduced (const LMMCurveState &cs, std::vector< Real > &drifts) const
void | computeReduced (const std::vector< Rate > &fwds, std::vector< Real > &drifts) const

## Detailed Description

Drift computation for normal Libor market models.

Returns the drift \( \mu \Delta t \). See Mark Joshi, Rapid Computation of Drifts in a Reduced Factor Libor Market Model, Wilmott Magazine, May 2003.

## Member Function Documentation

void computePlain | ( | const LMMCurveState & | cs,
|  | std::vector< Real > & | drifts
| ) |  | const

Computes the drifts without factor reduction as in eqs. 2, 4 of ref. [1], modified for normal forward rates dynamic (uses the covariance matrix directly).

void computeReduced | ( | const LMMCurveState & | cs,
|  | std::vector< Real > & | drifts
| ) |  | const

Computes the drifts with factor reduction as in eq. 7 of ref. [1], modified for normal forward rates dynamic (uses pseudo square root of the covariance matrix).